#pragma once
#include "body.h"
#include "star_system.h"

class Frame;

class Star: public Body {
public:
  Star(StarSystem::SBody* sbody);
  virtual ~Star(void) { };
  virtual void SetPosition(vector3d p);
  virtual vector3d GetPosition(void);
  virtual double GetRadius(void) const { return radius; }
  virtual void Render(const Frame* camFrame);

private:
  StarSystem::BodyType type;
  vector3d pos;
  double radius;
};

