#pragma once
#include "libs.h"
#include "gui.h"
#include "view.h"

class Body;

class ObjectViewerView : public View {
public:
  ObjectViewerView(void);
  virtual void Update(void);
  virtual void Draw3D(void);
private:
  virtual void OnMouseDown(Gui::MouseButtonEvent* e) { }
  matrix4x4d viewingRotation;
  float viewingDist;
  Gui::Label* m_infoLabel;
  const Body* lastTarget;
};

